/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.social.activities.web.internal.portlet.display.context;

import com.liferay.portal.kernel.exception.PortalException;
import com.liferay.social.kernel.model.SocialActivitySet;

import java.util.List;

import javax.portlet.ResourceURL;

/**
 * @author Adolfo Pérez
 */
public interface SocialActivitiesDisplayContext {

	public int getMax();

	public String getPaginationURL();

	public int getRSSDelta();

	public String getRSSDisplayStyle();

	public String getRSSFeedType();

	public ResourceURL getRSSResourceURL() throws PortalException;

	public String getSelectedTabName();

	public List<SocialActivitySet> getSocialActivitySets();

	public String getTabsNames();

	public String getTabsURL();

	public String getTaglibFeedTitle() throws PortalException;

	public boolean isRSSEnabled();

	public boolean isSeeMoreControlVisible();

	public boolean isTabsVisible();

}